<template>
  <div>
    <v-btn icon @click="dialogSearch = true">
      <v-icon>mdi-magnify</v-icon>
    </v-btn>
    <v-dialog
      v-model="dialogSearch"
      fullscreen
      hide-overlay
      transition="dialog-bottom-transition"
      scrollable>
      <v-sheet color="white">
        <v-toolbar
          flat
          color="white"
          class="pt-2 mb-2"
        >
          <v-toolbar-items>
            <v-btn
              icon
              color="primary"
              @click="dialogSearch = false"
            >
              <v-icon v-text="backIcon"></v-icon>
            </v-btn>
          </v-toolbar-items>
          <v-toolbar-title class="mx-auto font-weight-black">{{ $t('search') }}</v-toolbar-title>
        </v-toolbar>
        <v-sheet class="pa-4">
          <v-text-field v-model="searchQuery" outlined :label="$t('Type the phrase.')"></v-text-field>
          <ta-list :key="`tasks_list_box_search_${dateText}_${newTaskCount}`" :search="true" :query.sync="searchQuery"></ta-list>
        </v-sheet>
      </v-sheet>
    </v-dialog>
  </div>
</template>

<script>
import {mapState} from "vuex";
import modalMixin from "~/mixins/modalMixin";
import TaList from "~/components/tasks/TaList";
import dateMixin from "~/mixins/dateMixin";

export default {
  name: "TaSearch",
  components: {TaList},
  mixins: [modalMixin, dateMixin],
  data() {
    return {
      dialogSearch: false,
      searchQuery: ''
    }
  },
  computed: {
    ...mapState({
      newTaskCount: (state) => state.tasks.newTaskCount
    }),
  }
}
</script>
